shishi_krberror_pretty_print(3)

NAME
shishi_krberror_pretty_print - API function

SYNOPSIS
#include <shishi.h>

int shishi_krberror_pretty_print(Shishi * handle, FILE * fh, Shishi_asn1 krberror);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

FILE * fh
    file handle opened for writing.

Shishi_asn1 krberror
    KRB-ERROR structure with error code.

DESCRIPTION
Print KRB-ERROR error condition and some explanatory text to file descriptor.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.